diff --git a/books/bookvol10.4.pamphlet b/books/bookvol10.4.pamphlet
index 4e3542e..fcd24a2 100644
--- a/books/bookvol10.4.pamphlet
+++ b/books/bookvol10.4.pamphlet
@@ -147384,11 +147384,11 @@ UnivariatePolynomialCommonDenominator(R, Q, UP): Exports == Impl where
  
     clearDenominator p ==
       d := commonDenominator p
-      map(numer(d * #1)::Q, p)
+      map(x +-> numer(d*x)::Q, p)
  
     splitDenominator p ==
       d := commonDenominator p
-      [map(numer(d * #1)::Q, p), d]
+      [map(x +-> numer(d*x)::Q, p), d]
 
 @
 <<UPCDEN.dotabb>>=
diff --git a/changelog b/changelog
index 0a06417..f6e6b4d 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090625 tpd src/axiom-website/patches.html 20090625.01.tpd.patch
+20090625 tpd books/bookvol10.4 UPCDEN +-> conversion
 20090624 tpd src/axiom-website/patches.html 20090624.07.tpd.patch
 20090624 tpd books/bookvol10.4 UFPS1 +-> conversion
 20090624 tpd src/axiom-website/patches.html 20090624.06.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index bcea7ee..d19d5a9 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1665,5 +1665,7 @@ bookvol10.4 TWOFACT +-> conversion<br/>
 bookvol10.4 UNIFACT +-> conversion<br/>
 <a href="patches/20090624.07.tpd.patch">20090624.07.tpd.patch</a>
 bookvol10.4 UFPS1 +-> conversion<br/>
+<a href="patches/20090625.01.tpd.patch">20090625.01.tpd.patch</a>
+bookvol10.4 UPCDEN +-> conversion<br/>
  </body>
 </html>
